Subject: bug#39294: closed (Re: bug#39294: Can't run ./configure)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Jan 2020 16:10:02 +0000

Your bug report

#39294: Can't run ./configure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39294: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39294
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39294: Can't run ./configure
From: zimoun <[email-masked]>
To: [email-masked]
Cc: Damien Cassou <[email-masked]>
Date: Wed, 29 Jan 2020 17:09:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, 29 Jan 2020 at 16:33, Damien Cassou <[email-masked]> wrote:

> my issue is solved for me so you can close the bug. But the next Fedora
> user will struggle similarly. You decide.

I am not sure that if one user struggles similarly then they searches
first in the bug tracker[*]. :-)
And I am not convinced that it is bug neither. :-)

Well, I am closing.

All the best,
simon

[*] or the user is an Emacs user. ;-)

Subject: Can't run ./configure
From: Damien Cassou <[email-masked]>
To: [email-masked]
Date: Sun, 26 Jan 2020 17:57:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm on Fedora and just installed Guix by using guix-install.sh. I also
checked out Guix git repository. When inside this repository, I face the
following issue:

    $ guix environment guix
    ...
    
    guix$ ./bootstrap
    ...
    
    guix$ ./configure
    ...
    checking if (gnutls) is available... yes
    checking if (git) is available... no
    configure: error: Guile-Git is missing; please install it.

I tried passing "--ad-hoc guile-git git" as parameter to "guix
environment", but this doesn't fix the problem.

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill